Groovy Documentation

## org.codehaus.groovy.grails.web.converters
[Groovy] Class AbstractParsingParameterCreationListener

    java.lang.Object
      org.codehaus.groovy.grails.web.converters.AbstractParsingParameterCreationListener

    abstract class AbstractParsingParameterCreationListener

Abstract base class for parameter creation listeners that parse incoming data such as JSON and XML.

Authors:
  Graeme Rocher

Since:
  1.0

Method Summary
`protected java.lang.Object` | `createFlattenedKeys(java.util.Map root, java.util.Map current, java.util.Map target, java.lang.Object prefix = '')` Populates the target map with current map using the root map to form a nested prefix so that a hierarchy of maps is flattened.

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### createFlattenedKeys

    protected java.lang.Object createFlattenedKeys(java.util.Map root, java.util.Map current, java.util.Map target, java.lang.Object prefix = '')

  Populates the target map with current map using the root map to form a nested prefix so that a hierarchy of maps is flattened.

Groovy Documentation